Package org.gradle.caching.configuration

# Interface BuildCache

All Known Implementing Classes:
  `AbstractBuildCache`, `DirectoryBuildCache`, `HttpBuildCache`

public interface BuildCache
Configuration object for a build cache.

Since:
  3.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isEnabled()`
  Returns whether the build cache is enabled.
  `boolean`
  `isPush()`
  Returns whether a given build can store outputs in the build cache.
  `void`
  `setEnabled(boolean enabled)`
  Sets whether the build cache is enabled.
  `void`
  `setPush(boolean enabled)`
  Sets whether a given build can store outputs in the build cache.

- ## Method Details

  - ### isEnabled

    boolean isEnabled()
    Returns whether the build cache is enabled.

  - ### setEnabled

    void setEnabled(boolean enabled)
    Sets whether the build cache is enabled.

  - ### isPush

    boolean isPush()
    Returns whether a given build can store outputs in the build cache.

  - ### setPush

    void setPush(boolean enabled)
    Sets whether a given build can store outputs in the build cache.